<?php
/**
* Additional Woocommerce Settings.
*
* @package Online Learning LMS
*/

$online_learning_lms_default = online_learning_lms_get_default_theme_options();

// Additional Woocommerce Section.
$wp_customize->add_section( 'online_learning_lms_additional_woocommerce_options',
	array(
	'title'      => esc_html__( 'Additional Woocommerce Options', 'online-learning-lms' ),
	'priority'   => 210,
	'capability' => 'edit_theme_options',
	'panel'      => 'online_learning_lms_theme_option_panel',
	)
);

	$wp_customize->add_setting('online_learning_lms_per_columns',
		array(
		'default'           => $online_learning_lms_default['online_learning_lms_per_columns'],
		'capability'        => 'edit_theme_options',
		'sanitize_callback' => 'online_learning_lms_sanitize_number_range',
		)
	);
	$wp_customize->add_control('online_learning_lms_per_columns',
		array(
		'label'       => esc_html__('Products Per Column', 'online-learning-lms'),
		'section'     => 'online_learning_lms_additional_woocommerce_options',
		'type'        => 'number',
		'input_attrs' => array(
		'min'   => 1,
		'max'   => 6,
		'step'   => 1,
		),
		)
	);

	$wp_customize->add_setting('online_learning_lms_product_per_page',
		array(
		'default'           => $online_learning_lms_default['online_learning_lms_product_per_page'],
		'capability'        => 'edit_theme_options',
		'sanitize_callback' => 'online_learning_lms_sanitize_number_range',
		)
	);
	$wp_customize->add_control('online_learning_lms_product_per_page',
		array(
		'label'       => esc_html__('Products Per Page', 'online-learning-lms'),
		'section'     => 'online_learning_lms_additional_woocommerce_options',
		'type'        => 'number',
		'input_attrs' => array(
		'min'   => 1,
		'max'   => 100,
		'step'   => 1,
		),
		)
	);

	$wp_customize->add_setting('online_learning_lms_show_hide_related_product',
    array(
        'default' => $online_learning_lms_default['online_learning_lms_show_hide_related_product'],
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'online_learning_lms_sanitize_checkbox',
    )
	);
	$wp_customize->add_control('online_learning_lms_show_hide_related_product',
	    array(
	        'label' => esc_html__('Enable Related Products', 'online-learning-lms'),
	        'section' => 'online_learning_lms_additional_woocommerce_options',
	        'type' => 'checkbox',
	    )
	);

	$wp_customize->add_setting('online_learning_lms_custom_related_products_number',
		array(
		'default'           => $online_learning_lms_default['online_learning_lms_custom_related_products_number'],
		'capability'        => 'edit_theme_options',
		'sanitize_callback' => 'online_learning_lms_sanitize_number_range',
		)
	);
	$wp_customize->add_control('online_learning_lms_custom_related_products_number',
		array(
		'label'       => esc_html__('Related Products Per Page', 'online-learning-lms'),
		'section'     => 'online_learning_lms_additional_woocommerce_options',
		'type'        => 'number',
		'input_attrs' => array(
		'min'   => 1,
		'max'   => 10,
		'step'   => 1,
		),
		)
	);

	$wp_customize->add_setting('online_learning_lms_custom_related_products_number_per_row',
		array(
		'default'           => $online_learning_lms_default['online_learning_lms_custom_related_products_number_per_row'],
		'capability'        => 'edit_theme_options',
		'sanitize_callback' => 'online_learning_lms_sanitize_number_range',
		)
	);
	$wp_customize->add_control('online_learning_lms_custom_related_products_number_per_row',
		array(
		'label'       => esc_html__('Related Products Per Row', 'online-learning-lms'),
		'section'     => 'online_learning_lms_additional_woocommerce_options',
		'type'        => 'number',
		'input_attrs' => array(
		'min'   => 1,
		'max'   => 5,
		'step'   => 1,
		),
		)
	);